<template>
    <div class=" d-md-flex align-items-center flex-wrap justify-content-center mt-4 p-3 pb-3 contenedorPrincipal">
        <label class="form-label mx-2">Fecha Desde:</label>
        <input type="date" v-model="data.fecha_desde" class="form-label" id="fecha_desde" autocomplete="off" />
        <label class="form-label mx-2">Fecha Hasta:</label>
        <input type="date" v-model="data.fecha_hasta" class="form-label" id="fecha_hasta" autocomplete="off" />

        <button type="button" class="btn btn-principal px-2 mx-4" @click="busquedaListadoSafin()">
            <i class="bi bi-search"></i>
        </button>
    </div>
</template>

<script setup lang="ts">
//librerias
import { reactive, onMounted } from "vue";
import { loading } from "@/shared.js";
//store
import { useConfigStore } from "@/stores/configgral";
import { useCabeceraSafinStore } from "@/stores/Liquidaciones/Safin/Safin";

const configStore = useConfigStore();
const cabeceraSafinStore = useCabeceraSafinStore();
const data = reactive({
    fecha_desde: "" as string,
    fecha_hasta: "" as string,
});

onMounted(async () => {

    loading.show();
    await configStore.updateListadoPeriodo();
    var anio = configStore.listadoPeriodoActivo[0]?.anioActivo;
    data.fecha_desde = anio + "-03-01";
    data.fecha_hasta = anio + "-12-31";

    /* await busquedaListadoSafin(); */
    cabeceraSafinStore.listadoSafin = [];
    loading.hide();
});

async function busquedaListadoSafin() {
    loading.show();
    await cabeceraSafinStore.updateListadoCabeceraSafin({
        f_desde: data.fecha_desde,
        f_hasta: data.fecha_hasta,
    });
    loading.hide();
}


</script>
